#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# This runs a demo-webservice inside CoCalc.
# Run by typing
#      python3 main.py
# in a terminal (or just ./main.py).
# I tested this on June 26, 2020. -- William Stein

## **IMPORTANT:** only collaborators on the project where you run
## this can access this web server!

port = 12345

def project_id():
    import json
    import os
    info = json.load(open(os.path.join(os.environ['HOME'], ".smc", "info.json"), 'r'))
    return info['project_id']

base_url = "/%s/port/%s/" % (project_id(), port)

from flask import Flask
app = Flask(__name__)

@app.route(base_url)
def hello_world():
    from datetime import datetime
    return 'Hello World!\nThe current time is %s' % datetime.utcnow()

if __name__ == "__main__":
    print("Try to open\n\n    https://cocalc.com" + base_url + '\n\n')
    app.run(host = '0.0.0.0', port = port)
    import sys; sys.exit(0)
